import { Expressions } from '3xpr';
import { Helper } from '../../../shared/application';
import { ActionObserver, Executor, ObservableExecutor, Transaction } from '../../domain';
import { ExecuteResult, Query, QueryOptions } from '../../../query/domain';
export declare class ObservableExecutorDecorator implements Executor, ObservableExecutor {
    private readonly expressions;
    private readonly executor;
    private readonly helper;
    private observers;
    constructor(expressions: Expressions, executor: Executor, helper: Helper);
    execute(query: Query, data: any, options: QueryOptions): Promise<any>;
    executeList(queries: Query[], options: QueryOptions): Promise<ExecuteResult[]>;
    transaction(options: QueryOptions, callback: {
        (tr: Transaction): Promise<void>;
    }): Promise<void>;
    subscribe(observer: ActionObserver): void;
    unsubscribe(observer: ActionObserver): void;
    private beforeExecutionNotify;
    private afterExecutionNotify;
    private errorExecutionNotify;
}
