"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MappingConfigService = void 0;
const domainConfigServiceBase_1 = require("./domainConfigServiceBase");
class MappingConfigService extends domainConfigServiceBase_1.DomainConfigServiceBase {
    constructor(mapping, enums = []) {
        super();
        this.mapping = mapping;
        this.enums = enums;
    }
    get name() {
        return this.mapping.name;
    }
    get format() {
        return this.mapping.format;
    }
    get() {
        return this.mapping;
    }
    set(value) {
        this.mapping = value;
    }
    get entities() {
        return this.mapping.entities;
    }
    entityMapping(entityName) {
        const entity = this.getEntity(entityName);
        return entity ? entity.mapping : undefined;
    }
}
exports.MappingConfigService = MappingConfigService;
//# sourceMappingURL=mappingConfigService.js.map