"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("../../..");
beforeAll(() => __awaiter(void 0, void 0, void 0, function* () {
    require('dotenv').config({ path: './config/northwind.env' });
    yield __1.orm.init('./config/northwind.yaml');
}));
describe('Execute', () => {
    const data = { "a": { "id": 7, "customerId": "ANATR", "employeeId": 7, "orderDate": "1996-09-17T22:00:00.000Z", "requiredDate": "1996-10-15T22:00:00.000Z", "shippedDate": "1996-09-23T22:00:00.000Z", "shipViaId": 3, "freight": "1.6100", "name": "Ana Trujillo Emparedados y helados", "address": "Avda. de la Constitución 2222", "city": "Mexico D.F.", "region": null, "postalCode": "5021", "country": "Mexico", "details": [{ "orderId": 7, "productId": 69, "unitPrice": "28.8000", "quantity": "1.0000", "discount": "0.0000" }, { "orderId": 7, "productId": 70, "unitPrice": "12.0000", "quantity": "5.0000", "discount": "0.0000" }] }, "b": { "entity": { "id": 8, "customerId": "ANATR", "employeeId": 3, "orderDate": "1997-08-07T22:00:00.000Z", "requiredDate": "1997-09-04T22:00:00.000Z", "shippedDate": "1997-08-13T22:00:00.000Z", "shipViaId": 1, "freight": "43.9000", "name": "Ana Trujillo Emparedados y helados", "address": "Avda. de la Constitución 2222", "city": "Mexico D.F.", "region": null, "postalCode": "5021", "country": "Mexico", "details": [{ "orderId": 8, "productId": 14, "unitPrice": "23.2500", "quantity": "3.0000", "discount": "0.0000" }, { "orderId": 8, "productId": 42, "unitPrice": "14.0000", "quantity": "errors: 15.0000", "discount": "0.0000" }, { "orderId": 8, "productId": 60, "unitPrice": "34.0000", "quantity": "10.0000", "discount": "0.0000" }] } }, "c": { "postalCode": "xxx" }, "d": { "id": "ALFKI", "name": "Alfreds Futterkiste", "contact": "Maria Anders", "phone": "Sales Representative", "address": "Obere Str. 57", "city": "Berlin", "region": null, "postalCode": "12209", "country": "Germany", "orders": [{ "id": 1, "customerId": "ALFKI", "employeeId": 6, "orderDate": "1997-08-24T22:00:00.000Z", "requiredDate": "1997-09-21T22:00:00.000Z", "shippedDate": "1997-09-01T22:00:00.000Z", "shipViaId": 1, "freight": "29.4600", "name": "Alfreds Futterkiste", "address": "Obere Str. 57", "city": "Berlin", "region": null, "postalCode": "12209", "country": "Germany", "details": [{ "orderId": 1, "productId": 28, "unitPrice": "45.6000", "quantity": "15.0000", "discount": "0.0000" }, { "orderId": 1, "productId": 39, "unitPrice": "18.0000", "quantity": "21.0000", "discount": "0.0000" }, { "orderId": 1, "productId": 46, "unitPrice": "12.0000", "quantity": "2.0000", "discount": "0.0000" }] }, { "id": 2, "customerId": "ALFKI", "employeeId": 4, "orderDate": "1997-10-02T22:00:00.000Z", "requiredDate": "1997-10-30T23:00:00.000Z", "shippedDate": "1997-10-12T22:00:00.000Z", "shipViaId": 2, "freight": "61.0200", "name": "Alfred-s Futterkiste", "address": "Obere Str. 57", "city": "Berlin", "region": null, "postalCode": "12209", "country": "Germany", "details": [{ "orderId": 2, "productId": 63, "unitPrice": "43.9000", "quantity": "20.0000", "discount": "0.0000" }] }, { "id": 3, "customerId": "ALFKI", "employeeId": 4, "orderDate": "1997-10-12T22:00:00.000Z", "requiredDate": "1997-11-23T23:00:00.000Z", "shippedDate": "1997-10-20T22:00:00.000Z", "shipViaId": 1, "freight": "23.9400", "name": "Alfred-s Futterkiste", "address": "Obere Str. 57", "city": "Berlin", "region": null, "postalCode": "12209", "country": "Germany", "details": [{ "orderId": 3, "productId": 3, "unitPrice": "10.0000", "quantity": "6.0000", "discount": "0.0000" }, { "orderId": 3, "productId": 76, "unitPrice": "18.0000", "quantity": "15.0000", "discount": "0.0000" }] }, { "id": 4, "customerId": "ALFKI", "employeeId": 1, "orderDate": "1998-01-14T23:00:00.000Z", "requiredDate": "1998-02-11T23:00:00.000Z", "shippedDate": "1998-01-20T23:00:00.000Z", "shipViaId": 3, "freight": "69.5300", "name": "Alfred-s Futterkiste", "address": "Obere Str. 57", "city": "Berlin", "region": null, "postalCode": "12209", "country": "Germany", "details": [{ "orderId": 4, "productId": 59, "unitPrice": "55.0000", "quantity": "15.0000", "discount": "0.0000" }, { "orderId": 4, "productId": 77, "unitPrice": "13.0000", "quantity": "2.0000", "discount": "0.0000" }] }, { "id": 5, "customerId": "ALFKI", "employeeId": 1, "orderDate": "1998-03-15T23:00:00.000Z", "requiredDate": "1998-04-26T22:00:00.000Z", "shippedDate": "1998-03-23T23:00:00.000Z", "shipViaId": 1, "freight": "40.4200", "name": "Alfred-s Futterkiste", "address": "Obere Str. 57", "city": "Berlin", "region": null, "postalCode": "12209", "country": "Germany", "details": [{ "orderId": 5, "productId": 6, "unitPrice": "25.0000", "quantity": "16.0000", "discount": "0.0000" }, { "orderId": 5, "productId": 28, "unitPrice": "45.6000", "quantity": "2.0000", "discount": "0.0000" }] }, { "id": 6, "customerId": "ALFKI", "employeeId": 3, "orderDate": "1998-04-08T22:00:00.000Z", "requiredDate": "1998-05-06T22:00:00.000Z", "shippedDate": "1998-04-12T22:00:00.000Z", "shipViaId": 1, "freight": "1.2100", "name": "Alfred-s Futterkiste", "address": "Obere Str. 57", "city": "Berlin", "region": null, "postalCode": "12209", "country": "Germany", "details": [{ "orderId": 6, "productId": 58, "unitPrice": "13.2500", "quantity": "40.0000", "discount": "0.0000" }, { "orderId": 6, "productId": 71, "unitPrice": "21.5000", "quantity": "20.0000", "discount": "0.0000" }] }] } };
    test('update 1', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Orders.update()';
        const expected = { "data": { "id": 7, "customerId": "ANATR", "employeeId": 7, "orderDate": "1996-09-17T22:00:00.000Z", "requiredDate": "1996-10-15T22:00:00.000Z", "shippedDate": "1996-09-23T22:00:00.000Z", "shipViaId": 3, "freight": "1.6100", "name": "Ana Trujillo Emparedados y helados", "address": "Avda. de la Constitución 2222", "city": "Mexico D.F.", "region": null, "postalCode": "5021", "country": "Mexico", "details": [{ "orderId": 7, "productId": 69, "unitPrice": "28.8000", "quantity": "1.0000", "discount": "0.0000" }, { "orderId": 7, "productId": 70, "unitPrice": "12.0000", "quantity": "5.0000", "discount": "0.0000" }] } };
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('update 2', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Orders.update(entity)';
        const expected = { "data": { "entity": { "id": 8, "customerId": "ANATR", "employeeId": 3, "orderDate": "1997-08-07T22:00:00.000Z", "requiredDate": "1997-09-04T22:00:00.000Z", "shippedDate": "1997-08-13T22:00:00.000Z", "shipViaId": 1, "freight": "43.9000", "name": "Ana Trujillo Emparedados y helados", "address": "Avda. de la Constitución 2222", "city": "Mexico D.F.", "region": null, "postalCode": "5021", "country": "Mexico", "details": [{ "orderId": 8, "productId": 14, "unitPrice": "23.2500", "quantity": "3.0000", "discount": "0.0000" }, { "orderId": 8, "productId": 42, "unitPrice": "14.0000", "quantity": "errors: 15.0000", "discount": "0.0000" }, { "orderId": 8, "productId": 60, "unitPrice": "34.0000", "quantity": "10.0000", "discount": "0.0000" }] } } };
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('update 3', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Orders.updateAll(() => [postalCode])';
        const expected = { "data": { "postalCode": "xxx" } };
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('update 4', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Orders.update(p => ({ name: entity.name })).filter(p => p.id === entity.id)';
        const expected = { "data": { "entity": { "id": 8, "customerId": "ANATR", "employeeId": 3, "orderDate": "1997-08-07T22:00:00.000Z", "requiredDate": "1997-09-04T22:00:00.000Z", "shippedDate": "1997-08-13T22:00:00.000Z", "shipViaId": 1, "freight": "43.9000", "name": "Ana Trujillo Emparedados y helados", "address": "Avda. de la Constitución 2222", "city": "Mexico D.F.", "region": null, "postalCode": "5021", "country": "Mexico", "details": [{ "orderId": 8, "productId": 14, "unitPrice": "23.2500", "quantity": "3.0000", "discount": "0.0000" }, { "orderId": 8, "productId": 42, "unitPrice": "14.0000", "quantity": "errors: 15.0000", "discount": "0.0000" }, { "orderId": 8, "productId": 60, "unitPrice": "34.0000", "quantity": "10.0000", "discount": "0.0000" }] } } };
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('update 5', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Orders.update(() => ({ name: entity.name })).include(p => p.details).filter(p => p.id === entity.id)';
        const expected = { "data": { "entity": { "id": 8, "customerId": "ANATR", "employeeId": 3, "orderDate": "1997-08-07T22:00:00.000Z", "requiredDate": "1997-09-04T22:00:00.000Z", "shippedDate": "1997-08-13T22:00:00.000Z", "shipViaId": 1, "freight": "43.9000", "name": "Ana Trujillo Emparedados y helados", "address": "Avda. de la Constitución 2222", "city": "Mexico D.F.", "region": null, "postalCode": "5021", "country": "Mexico", "details": [{ "orderId": 8, "productId": 14, "unitPrice": "23.2500", "quantity": "3.0000", "discount": "0.0000" }, { "orderId": 8, "productId": 42, "unitPrice": "14.0000", "quantity": "errors: 15.0000", "discount": "0.0000" }, { "orderId": 8, "productId": 60, "unitPrice": "34.0000", "quantity": "10.0000", "discount": "0.0000" }] } } };
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('update 6', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Orders.update(() => ({ name: entity.name })).include(p => p.details.update(p => p)).filter(p => p.id === entity.id)';
        const expected = { "data": { "entity": { "id": 8, "customerId": "ANATR", "employeeId": 3, "orderDate": "1997-08-07T22:00:00.000Z", "requiredDate": "1997-09-04T22:00:00.000Z", "shippedDate": "1997-08-13T22:00:00.000Z", "shipViaId": 1, "freight": "43.9000", "name": "Ana Trujillo Emparedados y helados", "address": "Avda. de la Constitución 2222", "city": "Mexico D.F.", "region": null, "postalCode": "5021", "country": "Mexico", "details": [{ "orderId": 8, "productId": 14, "unitPrice": "23.2500", "quantity": "3.0000", "discount": "0.0000" }, { "orderId": 8, "productId": 42, "unitPrice": "14.0000", "quantity": "errors: 15.0000", "discount": "0.0000" }, { "orderId": 8, "productId": 60, "unitPrice": "34.0000", "quantity": "10.0000", "discount": "0.0000" }] } } };
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('update 7', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Orders.update(() => ({ name: entity.name })).include(p => p.details.update(p => ({ unitPrice: p.unitPrice, productId: p.productId }))).filter(p => p.id === entity.id)';
        const expected = { "data": { "entity": { "id": 8, "customerId": "ANATR", "employeeId": 3, "orderDate": "1997-08-07T22:00:00.000Z", "requiredDate": "1997-09-04T22:00:00.000Z", "shippedDate": "1997-08-13T22:00:00.000Z", "shipViaId": 1, "freight": "43.9000", "name": "Ana Trujillo Emparedados y helados", "address": "Avda. de la Constitución 2222", "city": "Mexico D.F.", "region": null, "postalCode": "5021", "country": "Mexico", "details": [{ "orderId": 8, "productId": 14, "unitPrice": "23.2500", "quantity": "3.0000", "discount": "0.0000" }, { "orderId": 8, "productId": 42, "unitPrice": "14.0000", "quantity": "errors: 15.0000", "discount": "0.0000" }, { "orderId": 8, "productId": 60, "unitPrice": "34.0000", "quantity": "10.0000", "discount": "0.0000" }] } } };
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('update 8', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Orders.update().include(p => p.details)';
        const expected = { "data": { "id": 7, "customerId": "ANATR", "employeeId": 7, "orderDate": "1996-09-17T22:00:00.000Z", "requiredDate": "1996-10-15T22:00:00.000Z", "shippedDate": "1996-09-23T22:00:00.000Z", "shipViaId": 3, "freight": "1.6100", "name": "Ana Trujillo Emparedados y helados", "address": "Avda. de la Constitución 2222", "city": "Mexico D.F.", "region": null, "postalCode": "5021", "country": "Mexico", "details": [{ "orderId": 7, "productId": 69, "unitPrice": "28.8000", "quantity": "1.0000", "discount": "0.0000" }, { "orderId": 7, "productId": 70, "unitPrice": "12.0000", "quantity": "5.0000", "discount": "0.0000" }] } };
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
    test('update 9', () => __awaiter(void 0, void 0, void 0, function* () {
        const expression = 'Customers.update().include(p => p.orders.include(p => p.details))';
        const expected = { "data": { "id": "ALFKI", "name": "Alfreds Futterkiste", "contact": "Maria Anders", "phone": "Sales Representative", "address": "Obere Str. 57", "city": "Berlin", "region": null, "postalCode": "12209", "country": "Germany", "orders": [{ "id": 1, "customerId": "ALFKI", "employeeId": 6, "orderDate": "1997-08-24T22:00:00.000Z", "requiredDate": "1997-09-21T22:00:00.000Z", "shippedDate": "1997-09-01T22:00:00.000Z", "shipViaId": 1, "freight": "29.4600", "name": "Alfreds Futterkiste", "address": "Obere Str. 57", "city": "Berlin", "region": null, "postalCode": "12209", "country": "Germany", "details": [{ "orderId": 1, "productId": 28, "unitPrice": "45.6000", "quantity": "15.0000", "discount": "0.0000" }, { "orderId": 1, "productId": 39, "unitPrice": "18.0000", "quantity": "21.0000", "discount": "0.0000" }, { "orderId": 1, "productId": 46, "unitPrice": "12.0000", "quantity": "2.0000", "discount": "0.0000" }] }, { "id": 2, "customerId": "ALFKI", "employeeId": 4, "orderDate": "1997-10-02T22:00:00.000Z", "requiredDate": "1997-10-30T23:00:00.000Z", "shippedDate": "1997-10-12T22:00:00.000Z", "shipViaId": 2, "freight": "61.0200", "name": "Alfred-s Futterkiste", "address": "Obere Str. 57", "city": "Berlin", "region": null, "postalCode": "12209", "country": "Germany", "details": [{ "orderId": 2, "productId": 63, "unitPrice": "43.9000", "quantity": "20.0000", "discount": "0.0000" }] }, { "id": 3, "customerId": "ALFKI", "employeeId": 4, "orderDate": "1997-10-12T22:00:00.000Z", "requiredDate": "1997-11-23T23:00:00.000Z", "shippedDate": "1997-10-20T22:00:00.000Z", "shipViaId": 1, "freight": "23.9400", "name": "Alfred-s Futterkiste", "address": "Obere Str. 57", "city": "Berlin", "region": null, "postalCode": "12209", "country": "Germany", "details": [{ "orderId": 3, "productId": 3, "unitPrice": "10.0000", "quantity": "6.0000", "discount": "0.0000" }, { "orderId": 3, "productId": 76, "unitPrice": "18.0000", "quantity": "15.0000", "discount": "0.0000" }] }, { "id": 4, "customerId": "ALFKI", "employeeId": 1, "orderDate": "1998-01-14T23:00:00.000Z", "requiredDate": "1998-02-11T23:00:00.000Z", "shippedDate": "1998-01-20T23:00:00.000Z", "shipViaId": 3, "freight": "69.5300", "name": "Alfred-s Futterkiste", "address": "Obere Str. 57", "city": "Berlin", "region": null, "postalCode": "12209", "country": "Germany", "details": [{ "orderId": 4, "productId": 59, "unitPrice": "55.0000", "quantity": "15.0000", "discount": "0.0000" }, { "orderId": 4, "productId": 77, "unitPrice": "13.0000", "quantity": "2.0000", "discount": "0.0000" }] }, { "id": 5, "customerId": "ALFKI", "employeeId": 1, "orderDate": "1998-03-15T23:00:00.000Z", "requiredDate": "1998-04-26T22:00:00.000Z", "shippedDate": "1998-03-23T23:00:00.000Z", "shipViaId": 1, "freight": "40.4200", "name": "Alfred-s Futterkiste", "address": "Obere Str. 57", "city": "Berlin", "region": null, "postalCode": "12209", "country": "Germany", "details": [{ "orderId": 5, "productId": 6, "unitPrice": "25.0000", "quantity": "16.0000", "discount": "0.0000" }, { "orderId": 5, "productId": 28, "unitPrice": "45.6000", "quantity": "2.0000", "discount": "0.0000" }] }, { "id": 6, "customerId": "ALFKI", "employeeId": 3, "orderDate": "1998-04-08T22:00:00.000Z", "requiredDate": "1998-05-06T22:00:00.000Z", "shippedDate": "1998-04-12T22:00:00.000Z", "shipViaId": 1, "freight": "1.2100", "name": "Alfred-s Futterkiste", "address": "Obere Str. 57", "city": "Berlin", "region": null, "postalCode": "12209", "country": "Germany", "details": [{ "orderId": 6, "productId": 58, "unitPrice": "13.2500", "quantity": "40.0000", "discount": "0.0000" }, { "orderId": 6, "productId": 71, "unitPrice": "21.5000", "quantity": "20.0000", "discount": "0.0000" }] }] } };
        const MySQLResult = yield __1.orm.execute(expression, data, { stage: 'MySQL' });
        expect(expected).toEqual(MySQLResult);
        const MariaDBResult = yield __1.orm.execute(expression, data, { stage: 'MariaDB' });
        expect(expected).toEqual(MariaDBResult);
        const PostgreSQLResult = yield __1.orm.execute(expression, data, { stage: 'PostgreSQL' });
        expect(expected).toEqual(PostgreSQLResult);
        const SqlServerResult = yield __1.orm.execute(expression, data, { stage: 'SqlServer' });
        expect(expected).toEqual(SqlServerResult);
        const MongoDBResult = yield __1.orm.execute(expression, data, { stage: 'MongoDB' });
        expect(expected).toEqual(MongoDBResult);
        const OracleResult = yield __1.orm.execute(expression, data, { stage: 'Oracle' });
        expect(expected).toEqual(OracleResult);
    }));
});
//# sourceMappingURL=update.test.js.map